Skip to main content

Get Account Transactions

GET 

/v2/accounts/:accountAddress/transactions

Free [10 Credits]

Retrieve a list of transactions for an account.


Request​

Path Parameters

    accountAddress stringrequired

    account address or KNS name

Query Parameters

    chainId int64
    type string

    Possible values: [TxTypeLegacyTransaction, TxTypeValueTransfer, TxTypeFeeDelegatedValueTransfer, TxTypeFeeDelegatedValueTransferWithRatio, TxTypeValueTransferMemo, TxTypeFeeDelegatedValueTransferMemo, TxTypeFeeDelegatedValueTransferMemoWithRatio, TxTypeAccountUpdate, TxTypeFeeDelegatedAccountUpdate, TxTypeFeeDelegatedAccountUpdateWithRatio, TxTypeSmartContractDeploy, TxTypeFeeDelegatedSmartContractDeploy, TxTypeFeeDelegatedSmartContractDeployWithRatio, TxTypeSmartContractExecution, TxTypeFeeDelegatedSmartContractExecution, TxTypeFeeDelegatedSmartContractExecutionWithRatio, TxTypeCancel, TxTypeFeeDelegatedCancel, TxTypeFeeDelegatedCancelWithRatio, TxTypeChainDataAnchoring, TxTypeFeeDelegatedChainDataAnchoring, TxTypeFeeDelegatedChainDataAnchoringWithRatio, TxTypeEthereumAccessList, TxTypeEthereumDynamicFee]

    pageRequest objectrequired

Responses​

OK

Schema

    items

    object[]

    required

  • Array [

  • transaction_hash stringrequired
    block_number int64required
    transaction_index int32required
    timestamp int64required
    from stringrequired
    to string
    value_kei stringrequired
    status stringrequired
    type stringrequired
    type_int int32required
    fee_payer string
  • ]

  • next_token string

    links

    object

    required

    next string